/* GLOBAL */
:root {
  --background: #ffffff;
  --accent-bg: rgb(233, 237, 225);
  --text: rgb(31, 63, 0);
  --accent: rgb(61, 122, 4);
  --sin: rgba(131, 122, 105, 0.526);
}

@font-face {
  font-family: stokeda;
  src: url(fonts/Stokeda\ DEMO\ VERSION.ttf);
}

html {
  scroll-behavior: smooth;
  scroll-padding-top: 8rem;
}

p {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 1.2rem;
  letter-spacing: 0.03rem;
  color: var(--text);
  text-align: justify;
}

h1,
h2 {
  font-family: stokeda;
  color: var(--accent);
  letter-spacing: 0.1rem;
}

a {
  text-decoration: none;
  color: var(--text);
  letter-spacing: 0.03rem;
}

a:hover, a:focus {
  color: var(--accent);
}


header {
  background-color: var(--background);
  position: sticky;
  top: 0;
  display: flex;
  border-bottom: 2px dotted var(--accent);
  z-index: 20;
}

nav {
  display: flex;
  font-family: Arial, Helvetica, sans-serif;
}

body,
html {
  background-color: var(--background);
  margin: 0 auto;
  max-width: 80rem;
}

blockquote {
  font-family: stokeda;
  color: var(--accent);
  font-size: 1.2rem;
  letter-spacing: 0.1rem;
  font-style: italic;
  font-weight: 1000;
  text-align: center;
  padding: 2rem;
}

img {
  width: 100%;
  border-radius: 0.5rem;
}

figcaption {
  font-family: Arial, Helvetica, sans-serif;
  letter-spacing: 0.01rem;
  color: var(--text);
  text-align: end;
}

footer {
  background-color: var(--accent-bg);
  padding: 0.5rem 3rem;
  margin-top: 2rem;
  border-top: dotted 2px var(--text);
  text-align: center;
  display: flex;
  justify-content: center;
}

small > a,
small > i > a {
  text-decoration: underline;
}

.footer-content > p {
  text-align: center;
  line-height: 1rem;
}

/* ENTER */
.enter-text {
  margin: auto;
  padding: 3rem;
  align-content: center;
  display: flex;
  flex-direction: column;
  text-align: justify;
  max-width: 40rem;
}

.enter {
  margin: auto;
  font-family: stokeda;
  font-size: 1.5rem;
  text-decoration: none;
  color: var(--accent);
  border: solid;
  padding: 0.4rem 0.8rem 0.2rem;
  font-weight: bolder;
  transition-duration: 0.2s;
}

@keyframes pulse {
  0%,
  100% {
    animation-timing-function: ease-in;
  }
  50% {
    transform: scale(1.1);
  }
}

.enter:focus, .enter:hover {
  animation: pulse 1.5s infinite;
  box-shadow: rgb(137, 200, 255) 0px 0px 10px;
}

/* HOME */

.logo {
  margin-left: 1rem;
  margin-right: 4rem;
  width: fit-content;
}

.desktop-nav {
  margin-left: 3rem;
  margin-right: 1rem;
  width: 100%;
  justify-content: space-around;
  align-items: center;
}

#hb-menu {
  margin: 3rem;
  font-size: 1.8rem;
  align-self: center;
  position: absolute;
  right: 0;
  cursor: pointer;
  color: var(--text);
  background-color: var(--background);
  border: none;
}

#hb-menu:focus, #hb-menu:hover {
  transition-duration: 0.2s;
  color: var(--accent);
}

.mobile-nav {
  position: fixed;
  flex-direction: column;
  background-color: var(--accent-bg);
  height: fit-content;
  z-index: 10;
  width: calc(50vw - 2rem);
  right: 0;
  overflow-x: hidden;
  padding: 1rem;
  box-shadow: var(--sin) -1px 0px 30px;
  transition-duration: 0.5s;
  display: none;
}

.is-open {
    display: flex;
}

.mobile-nav > a {
  border-bottom: dotted 2px;
  padding: 1rem;
}

.tagline {
  margin-top: -1.5rem;
  letter-spacing: 0.1rem;
  font-size: 0.9rem;
  text-align: right;
}

.back-to-top {
  position: fixed;
  right: 0;
  bottom: 0;
  display: grid;
  padding: 1rem;
  scale: .9;
}

.back-to-top > a {
  color: var(--background);
  background-color: var(--accent);
  font-size: 2rem;
  border-radius: 50%;
  padding: .75rem 1rem;
    transition-duration: .3s;
}

.back-to-top > a:focus, .back-to-top > a:hover {
    scale: 1.08;
}

#hero-section {
  padding: 2rem;
  display: grid;
  grid-template-columns: 60 auto;
}

.hero-image {
  width: 100%;
}

.book-button {
  display: grid;
  align-self: center;
  border: solid 2px var(--accent);
  font-family: Arial, Helvetica, sans-serif;
  margin: auto;
  width: fit-content;
  font-size: 1.4rem;
  padding: 0.5rem;
  border-radius: 0.3rem;
  color: var(--accent);
  transition-duration: 0.2s;
}

.book-button:focus, .book-button:hover {
  color: var(--text);
  background-color: var(--accent-bg);
}

.wrapper {
  padding: 2rem;
}

.accent {
  background-color: var(--accent-bg);
  margin: 0;
}

.testimonial-carousel {
  display: flex;
  flex-wrap: nowrap;
  overflow: hidden;
}

.testimonial {
  position: relative;
  min-width: 100%;
  transition: all 0.5s linear;
}

.testimonial > p,
.testimonial > h2 {
  max-width: 60rem;
  margin: auto;
}

.testimonial > h2 {
  text-align: end;
  margin-top: 1rem;
}

ul {
  list-style: none;
  font-family: Arial, Helvetica, sans-serif;
  font-size: 1rem;
  color: var(--text);
  line-height: 2.5rem;
  border-left: dotted 2px var(--text);
  margin-bottom: -2rem;
}

/* SINNER REPENT */
#cursor-fly {
  width: 4rem;
  position: absolute;
  z-index: 11;
}

.sinner-body {
  background-color: rgb(0, 0, 0);
  background-image: url("images/spooky-page/Pachid-far.png");
  background-size: contain;
  background-position: center bottom;
  background-repeat: no-repeat;
  display: flex;
  justify-content: center;
  /* padding: 4rem; */
}

#scary {
  background-color: rgb(0, 0, 0);
  background-image: url("images/spooky-page/Pachid-close.png");
  background-size: contain;
  background-position: center bottom;
  background-repeat: no-repeat;
}

.verse {
  width: 50vw;
  max-width: 30rem;
  margin: auto;
  align-items: center;
  display: flex;
  height: 100vh;
}

#bible-verse {
  color: var(--sin);
  font-size: 1.7rem;
  font-family: "Times New Roman", Times, serif;
  /* text-shadow:
    2px 0 0 rgba(255, 71, 87, 0.2),
    -2px 0 0 rgba(0, 217, 255, 0.2); */
  animation: chromatic-aberration 0.7s steps(4) infinite;
}

.crt-filter::before {
  content: "";
  position: absolute;
  inset: 0;
  background: repeating-linear-gradient(
    0deg,
    transparent,
    transparent 2px,
    rgba(0, 0, 0, 0.5) 2px,
    rgba(0, 0, 0, 0.25) 4px
  );
  pointer-events: none;
  z-index: 10;
  animation: crt-flicker 0.1s steps(2) infinite;
}

@keyframes crt-flicker {
  0%,
  100% {
    opacity: 1;
  }
  50% {
    opacity: 0.4;
  }
}

@keyframes chromatic-aberration {
  0%,
  100% {
    text-shadow:
      3px 0 0 rgba(255, 71, 87, 0.3),
      -3px 0 0 rgba(0, 217, 255, 0.3);
  }
  50% {
    text-shadow:
      2px 1px 0 rgba(255, 71, 87, 0.4),
      -2px -1px 0 rgba(0, 217, 255, 0.4);
  }
}

/* MEDIA QUERIES  */
/* desktop width */
@media only screen and (min-width: 1000px) {
  .desktop-nav {
    display: flex;
  }

  #hb-menu {
    display: none;
  }

  .mobile-nav {
    display: none;
  }

  .wrapper {
    display: grid;
    grid-template-columns: auto 50%;
    grid-column-gap: 2rem;
  }

  #testimonials {
    display: block;
  }

  #about {
    grid-template-columns: auto 40%;
  }

  nav {
    margin-left: 17rem;
    font-size: 1.3rem;
  }

  blockquote {
    font-size: 1.8rem;
  }

  .back-to-top {
    display: none;
  }
}

/* PHONE WIDTH */

@media only screen and (max-width: 999px) {
  #hb-menu {
    display: block;
  }

  .desktop-nav {
    display: none;
  }
}
